Internal site. Jolli authentication required to view.
Skip to Content
API ReferencePlatformDELETE /v0/api_keys/{api_key_name}

Delete API Key

DELETE/v0/api_keys/{api_key_name}Platform

Try it

DELETE/v0/api_keys/{api_key_name}
Authentication
Parameters

Remove an API key by its name.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
api_key_namestringYesUnique API key name

Response

200API key deleted successfully
404API key with that name does not existapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X DELETE 'https://api.example.com/v0/api_keys/{api_key_name}' \ -H 'Authorization: Bearer YOUR_TOKEN'
Response
{ "message": "Unknown API key 'non-existent-api-key'", "error_code": "UnknownApiKey", "details": { "name": "non-existent-api-key" } }